﻿using System.Windows;
using System.Windows.Controls;
using KineticListView;

namespace KineticListViewTest
{
    /// <summary>
    /// Interaction logic for HorizontalList.xaml
    /// </summary>
    public partial class HorizontalList : UserControl
    {
        public HorizontalList()
        {
            InitializeComponent();
            DataContext =  new ListOfElementViewModel();
        }

        private void NextClick(object sender, RoutedEventArgs e)
        {
            listView1.CurrentFirstElementIndex++;
        }

        private void PrevClick(object sender, RoutedEventArgs e)
        {
            listView1.CurrentFirstElementIndex--;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            MessageBox.Show("Click");
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            if (listView1.Direction == KineticDirection.Horizontal)
                listView1.Direction = KineticDirection.Vertical;
            else
                listView1.Direction = KineticDirection.Horizontal;
        }
    }
}
