﻿using System.Windows;

namespace KineticListViewTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
       
        private void Button_Click(object sender, RoutedEventArgs e)
        {
            var element = new SimpleTest();
            panel.Content = element;
        }

        private void ButtonHMS_Click(object sender, RoutedEventArgs e)
        {
            var element = new HandleDisconnectedMouseUp();
            panel.Content = element;
        }

        private void Button_Circular(object sender, RoutedEventArgs e)
        {
            var element = new Circular();
            panel.Content = element;
        }

        private void Button_CircularMultiple(object sender, RoutedEventArgs e)
        {
            var element = new CircularMultiple();
            panel.Content = element;
        }

        private void Button_Panel(object sender, RoutedEventArgs e)
        {
            var element = new KineticPanelTest();
            panel.Content = element;
        }
    }
}
